/**
 The Card stuff
 Graphisme personnalisé des cards
 */

/* When user is removing*/
.img-remove {
    display: none;
    width: 100%;
}
.img-remove-display {
    display: block;
}




/* Surcharge du Bootstrap Card*/
.card-running {
    border: 3px solid #256119 !important;
    border-radius: 9px !important;
    background-color: rgb(73, 84, 91);
}
.card-past {
    border: 3px solid #ac371d !important;
    border-radius: 9px !important;
    background-color: rgb(73, 84, 91);
}
.card-text {
    font-size: 0.8rem;

}


.overlay-title {
    padding: 5px;
    color: rgb(189, 190, 190);
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    font-family: Tahoma, sans-serif;
    font-size: 1rem !important;
    background: rgba(22, 29, 29, 0.88);
}

.card-img-overlay {
    bottom: auto;
}

.card-landing {
    background-color: #282c34 !important;
    margin: 15px 0;
    height: 450px;
}

.inner {
    overflow: hidden;
    transition: max-height 0.2s ease;
}


.thumbnailX {
    max-height: 100%;
    max-width: 100%;
}
/* footerX style non collapse des footers de cards sur la page principales*/
.footerX {
    color: #dedcdc;
    background-color: rgba(53, 66, 72, 0.9) !important;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    padding: 0 1rem !important;
}


/**/
.ribbon {
    width: 150px;
    height: 150px;
    overflow: hidden;
    position: absolute;
}
.ribbon::before,
.ribbon::after {
    position: absolute;
    z-index: -1;
    content: '';
    display: block;
    border: 5px solid #9b461e;
}
.ribbon span {
    position: absolute;
    display: block;
    width: 225px;
    padding: 17px 0;
    background-color: rgba(219, 99, 52, 0.61);
    box-shadow: 0 5px 10px rgba(0,0,0,.1);
    color: #fff;
    font: 700 15px/1 'Lato', sans-serif;
    text-shadow: 0 1px 1px rgba(0,0,0,.2);
    text-transform: uppercase;
    text-align: center;
}

/* top right*/
.ribbon-top-right {
    top: -10px;
    right: -10px;
}
.ribbon-top-right::before,
.ribbon-top-right::after {
    border-top-color: transparent;
    border-right-color: transparent;
}
.ribbon-top-right::before {
    top: 0;
    left: 0;
}
.ribbon-top-right::after {
    bottom: 0;
    right: 0;
}
.ribbon-top-right span {
    left: -25px;
    top: 30px;
    transform: rotate(45deg);
}
